---
lang: en
title: 'API docs: context.interceptionhandler'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.interceptionhandler.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [InterceptionHandler](./context.interceptionhandler.md)

## InterceptionHandler class

A proxy handler that applies interceptors

See https://developer.mozilla.org/en/docs/Web/JavaScript/Reference/Global\_Objects/Proxy

**Signature:**

```typescript
export declare class InterceptionHandler<T extends object> implements ProxyHandler<T> 
```
**Implements:** ProxyHandler&lt;T&gt;

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(context, session, source)](./context.interceptionhandler._constructor_.md) |  | Constructs a new instance of the <code>InterceptionHandler</code> class |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [get(target, propertyName, receiver)](./context.interceptionhandler.get.md) |  |  |


